Arch: Chiudere i fori

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch CloseHoles and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska
Arrow-left.svg Arch RemoveShape.svg Rimuovi forma Pagina precedente:
Pagina successiva: Unisci pareti Arch MergeWalls.svg Arrow-right.svg

Arch CloseHoles.svg Chiudi fori

Posizione nel menu
Arch → Utilità → Chiudi fori
Ambiente
Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Controlla


Descrizione

Questo strumento identifica i fori (sequenza circolare di bordi aperti) in un oggetto Forma e tenta di chiuderlo con l'aggiunta di una nuova faccia costruita dalla sequenza dei bordi aperti. È però comunque necessario verificare se il risultato è un solido.

Utilizzo

  1. Selezionare una Forma (un oggetto Parte)
  2. Selezionare la voce Arch CloseHoles.svg Chiudi fori nel menu Arch → Utilità → Chiudi fori.

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Lo strumento può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

solid = closeHole(shape)
  • Chiude un foro in una shape, che è una Part.Shape, e restituisce il nuovo oggetto solid.

Esempio:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute() 

solid = Arch.closeHole(Wall.Shape)
Arrow-left.svg Arch RemoveShape.svg Rimuovi forma Pagina precedente:
Pagina successiva: Unisci pareti Arch MergeWalls.svg Arrow-right.svg